@media (min-width: 320px) {

    .footer {
        background: #202020;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }

    .footer__button {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: row;
        gap: 10px;

        border: 1px solid #f2f2f2;
        border-radius: 139px;
        padding: 12px;
        width: 320px;
        height: 72px;
        margin-top: 53px;
        margin-left: 17px;
    }

    .footer__button-style {
        display: flex;
        align-items: flex-start;
        justify-content: flex-start;
        flex-direction: row;
    }

    .footer__button-h1 {
        color: rgb(255, 255, 255);
        font-family: "DynaPuff", sans-serif;
        font-size: 20px;
        font-weight: 700;
        line-height: 24px;

        width: 203px;
        height: 24px;
    }

    .footer__button-p {
        display: flex;
        flex-direction: row;
        font-family: "Manrope", sans-serif;
        font-weight: 500;
        font-size: 15px;
        text-align: center;
        color: #fff;

        width: 200px;
        height: 20px;
    }

    .footer__button-row {
        display: flex;
        flex-direction: column;
    }

    .footer__button-p::after {
        content: url(../images/arrow-left.svg);
        margin-left: 24px;
    }

    .footer__button::before {
        content: url(../images/dawn.svg);
        stroke-width: 4px;
        stroke: #fff;
        width: 51px;
        height: 51px;
        margin-right: 20px;
    }

    .footer__socials {
        display: flex;
        flex-direction: row;
        gap: 34px;
        margin-top: 113px;
    }

    .footer__copyright {
        font-family: "Manrope", sans-serif;
        font-weight: 500;
        font-size: 14px;
        text-align: center;
        color: #fff;
        margin-top: 24px;
        margin-bottom: 40px;
    }
}


@media (min-width: 768px) {

    .footer__copyright {
        color: rgb(255, 255, 255);
        font-family: "Manrope", sans-serif;
        font-size: 16px;
        font-weight: 500;
        line-height: 22px;
        text-align: center;
    }


    .footer__button {
        width: 720px;
        height: 150px;
        padding: 21px 68px;
        margin-top: 96px;
    }

    .footer__button-h1 {
        display: flex;
        align-items: center;
        font-family: "DynaPuff", sans-serif;
        font-weight: 700;
        font-size: 47px;
        color: #fff;
        width: 487px;
        height: 58px;
    }

    .footer__button-p {
        color: rgb(255, 255, 255);
        font-family: "Manrope", sans-serif;
        font-size: 24px;
        font-weight: 500;
        line-height: 33px;
        width: 250px;
        height: 33px;
    }

    .footer__button-p::after {
        width: 55px;
        height: 26px;
    }

    .footer__button::before {
        content: url(../images/dawn-tablet.svg);
        width: 109px;
        height: 109px;
        margin-right: 35px;
    }

}

@media (min-width: 1200px) {

    .footer__button {
        width: 914px;
        height: 192px;
        padding: 42px 137px;
    }

    .footer__button-h1 {
        color: rgb(255, 255, 255);
        font-family: "DynaPuff", sans-serif;
        font-size: 47px;
        font-weight: 700;
        line-height: 58px;
        text-align: center;
    }
}